 
# dialogs.py -- dialog box for showing the results of MPA, SCPA, and OPA
#
# Copyright (c) Adam Tenderholt, Stanford University, 2005-2006
#                               a-tenderholt@stanford.edu
#
# This program is free software; you can redistribute it and/or modify  
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version with the exceptions noted in the 
# Help dialog.

#created with the help of Qt designer and pyuic4

from PyQt4 import QtGui,QtCore

class Results_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(QtCore.QSize(QtCore.QRect(0,0,562,380).size()).expandedTo(Dialog.minimumSizeHint()))

        self.vboxlayout = QtGui.QVBoxLayout(Dialog)
        self.vboxlayout.setMargin(9)
        self.vboxlayout.setSpacing(6)
        self.vboxlayout.setObjectName("vboxlayout")

        self.textEdit = QtGui.QTextEdit(Dialog)
        self.textEdit.setObjectName("textEdit")
        self.vboxlayout.addWidget(self.textEdit)

        self.hboxlayout = QtGui.QHBoxLayout()
        self.hboxlayout.setMargin(0)
        self.hboxlayout.setSpacing(6)
        self.hboxlayout.setObjectName("hboxlayout")

        spacerItem = QtGui.QSpacerItem(131,31,QtGui.QSizePolicy.Expanding,QtGui.QSizePolicy.Minimum)
        self.hboxlayout.addItem(spacerItem)

        self.okButton = QtGui.QPushButton(Dialog)
        self.okButton.setObjectName("okButton")
        self.hboxlayout.addWidget(self.okButton)

        self.cancelButton = QtGui.QPushButton(Dialog)
        self.cancelButton.setObjectName("cancelButton")
        self.hboxlayout.addWidget(self.cancelButton)
        self.vboxlayout.addLayout(self.hboxlayout)

        self.retranslateUi(Dialog)
        QtCore.QObject.connect(self.okButton,QtCore.SIGNAL("clicked()"),Dialog.accept)
        QtCore.QObject.connect(self.cancelButton,QtCore.SIGNAL("clicked()"),Dialog.reject)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def tr(self, string):
        return QtGui.QApplication.translate("Dialog", string, None, QtGui.QApplication.UnicodeUTF8)

    def retranslateUi(self, Dialog):
        Dialog.setWindowTitle(self.tr("Results..."))
        self.okButton.setText(self.tr("Save"))
        self.cancelButton.setText(self.tr("Close"))

class TitleDialog(QtGui.QDialog):
    def __init__(self,caption,parent = None,name = None,modal = True,fl = 0):
        QtGui.QDialog.__init__(self,parent,name,modal,fl)

        if not name:
            self.setName("MyDialog")

        self.caption=caption
        
        self.setMaximumSize(QSize(260,160))
        self.setSizeGripEnabled(1)

        MyDialogLayout = QtGui.QGridLayout(self,1,1,11,6,"MyDialogLayout")

        layout6 = QtGui.QHBoxLayout(None,0,6,"layout6")

        self.buttonOk = QtGui.QPushButton(self,"buttonOk")
        self.buttonOk.setAutoDefault(1)
        self.buttonOk.setDefault(1)
        layout6.addWidget(self.buttonOk)

        self.buttonCancel = QtGui.QPushButton(self,"buttonCancel")
        self.buttonCancel.setAutoDefault(1)
        layout6.addWidget(self.buttonCancel)

        MyDialogLayout.addLayout(layout6,1,0)

        layout7 = QtGui.QHBoxLayout(None,0,6,"layout7")

        self.textLabel1 = QtGui.QLabel(self,"textLabel1")
        layout7.addWidget(self.textLabel1)

        self.lineEdit1 = QtGui.QLineEdit(self,"lineEdit1")
        #self.lineEdit1.setSizePolicy(QSizePolicy(3,0,0,0,self.lineEdit1.sizePolicy().hasHeightForWidth()))
        layout7.addWidget(self.lineEdit1)

        MyDialogLayout.addLayout(layout7,0,0)

        self.languageChange()

        self.resize(QSize(260,160).expandedTo(self.minimumSizeHint()))
        
        self.connect(self.buttonOk,SIGNAL("clicked()"),self,SLOT("accept()"))
        self.connect(self.buttonCancel,SIGNAL("clicked()"),self,SLOT("reject()"))
        
        self.lineEdit1.selectAll()
        self.lineEdit1.setFocus()

    def getTitle(self):
        return self.lineEdit1.text()
        
    def setTitle(self,title):
        self.lineEdit1.setText(title)

    def languageChange(self):
        self.setCaption(self.__tr(self.caption))
        self.buttonOk.setText(self.__tr("&OK"))
        #self.buttonOk.setAccel(QString.null)
        self.buttonCancel.setText(self.__tr("&Cancel"))
        #self.buttonCancel.setAccel(QString.null)
        self.textLabel1.setText(self.__tr("Title:"))


    def __tr(self,s,c = None):
        return qApp.translate("MyDialog",s,c)

class SaveFormatDialog(QtGui.QDialog):
    def __init__(self,parent = None, formatlist = []):
        QtGui.QDialog.__init__(self)

        self.setWindowTitle("Choose Save Format")
        self.resize(270,105)
        self.setParent(parent)
        self.setWindowFlags(QtCore.Qt.Sheet)
        self.vboxlayout = QtGui.QVBoxLayout(self)
        self.vboxlayout.setMargin(9)
        self.vboxlayout.setSpacing(6)
        self.vboxlayout.setObjectName("vboxlayout")

        self.hboxlayout = QtGui.QHBoxLayout()
        self.hboxlayout.setMargin(0)
        self.hboxlayout.setSpacing(6)
        self.hboxlayout.setObjectName("hboxlayout")

        self.label = QtGui.QLabel(self)
        self.label.setObjectName("label")
        self.label.setText("Save Format:")
        self.hboxlayout.addWidget(self.label)

        self.comboBox = QtGui.QComboBox(self)

        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Policy(3),QtGui.QSizePolicy.Policy(0))
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.comboBox.sizePolicy().hasHeightForWidth())
        self.comboBox.setSizePolicy(sizePolicy)
        self.comboBox.setObjectName("comboBox")
        if len(formatlist) > 0:
            self.comboBox.addItems(formatlist)
        self.hboxlayout.addWidget(self.comboBox)
        self.vboxlayout.addLayout(self.hboxlayout)

        self.buttonBox = QtGui.QDialogButtonBox(self)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Cancel|QtGui.QDialogButtonBox.NoButton|QtGui.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        buttons = self.buttonBox.buttons()
        buttons[0].setDefault(True)
        self.vboxlayout.addWidget(self.buttonBox)

        QtCore.QObject.connect(self.buttonBox,QtCore.SIGNAL("accepted()"),self.accept)
        QtCore.QObject.connect(self.buttonBox,QtCore.SIGNAL("rejected()"),self.reject)

