# -*- coding: utf-8 -*-

# logviewer.py -- code for displaying any errors or warnings from cclib
#
# Copyright (c) Adam Tenderholt, Stanford University, 2005-2007
#                               a-tenderholt@stanford.edu
#
# This program is free software; you can redistribute it and/or modify  
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version with the exceptions noted in the 
# Help dialog.

#created with the help of Qt designer and pyuic4

import sys
from PyQt4 import QtCore, QtGui
import logging

class Ui_LogViewer(object):
    def setupUi(self, LogViewer):
        LogViewer.setObjectName("LogViewer")
        LogViewer.resize(QtCore.QSize(QtCore.QRect(0,0,450,150).size()).expandedTo(LogViewer.minimumSizeHint()))

        self.gridlayout = QtGui.QGridLayout(LogViewer)
        self.gridlayout.setMargin(9)
        self.gridlayout.setSpacing(6)
        self.gridlayout.setObjectName("gridlayout")

        self.textEdit = QtGui.QTextEdit(LogViewer)
        self.textEdit.setObjectName("textEdit")
        self.textEdit.setReadOnly(True)
        self.gridlayout.addWidget(self.textEdit,0,0,1,1)

        self.hboxlayout = QtGui.QHBoxLayout()
        self.hboxlayout.setMargin(0)
        self.hboxlayout.setSpacing(6)
        self.hboxlayout.setObjectName("hboxlayout")

        spacerItem = QtGui.QSpacerItem(131,31,QtGui.QSizePolicy.Expanding,QtGui.QSizePolicy.Minimum)
        self.hboxlayout.addItem(spacerItem)

        self.closeButton = QtGui.QPushButton(LogViewer)
        self.closeButton.setObjectName("closeButton")
        self.hboxlayout.addWidget(self.closeButton)
        self.gridlayout.addLayout(self.hboxlayout,1,0,1,1)

        self.retranslateUi(LogViewer)
        QtCore.QObject.connect(self.closeButton,QtCore.SIGNAL("clicked()"),LogViewer.accept)
        QtCore.QMetaObject.connectSlotsByName(LogViewer)

    def retranslateUi(self, LogViewer):
        LogViewer.setWindowTitle(QtGui.QApplication.translate("LogViewer", "Log Viewer", None, QtGui.QApplication.UnicodeUTF8))
        self.closeButton.setText(QtGui.QApplication.translate("LogViewer", "Close", None, QtGui.QApplication.UnicodeUTF8))

class LogViewer(QtGui.QDialog, logging.Handler):
    
    def __init__(self,parent = None,flags = None,level = logging.WARNING):
        QtGui.QDialog.__init__(self) #,parent,flags)
        logging.Handler.__init__(self,level)

        self.ui = Ui_LogViewer()
        self.ui.setupUi(self)

    def emit(self,record):
        oldstring = self.ui.textEdit.toPlainText()
        newrecord = "%s: %s\n"%(record.levelname,record.msg)
        self.ui.textEdit.setPlainText(oldstring+newrecord)

if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    viewer = LogViewer()
    viewer.show()
    sys.exit(app.exec_())
